Create sale

Creates a new record.

POSThttps://api.tracksales.co/v1/sales

Required scope: sales:create

Request URL: https://api.tracksales.co/v1/sales

Body Params

locationIdstringrequired

Branch location UUID

customerIdstring

Customer UUID (optional for walk-in sales)

itemsarrayrequired

Line items with itemId, quantity, unitPrice, optional taxPercent

paymentsarrayrequired

Payments with paymentType and amount

salesChannelstring

Sale channel: online or in_store. Defaults to in_store. Use online for storefront orders that will be fulfilled.

externalReferencestring

Caller reference, such as the Esmanda order number

Responses

201Created

Request succeeded.

401Unauthorized

API key is missing or invalid.

403Forbidden

API key lacks the required scope.

404Not Found

Sales was not found.

422Validation Error

Request validation failed.